Bug 1281970 - gnome-shell-extension-window-list has wrong colors
gnome-shell-extension-window-list has wrong colors
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 18:04 EST by Otso Rajala
Modified: 2017-04-18 05:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:52:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome classic 3.18.2 (67.36 KB, image/png)
2015-11-19 19:44 EST, rudolf
no flags Details
window list on gnome-shell-3.18.3-1-fc23 (27.72 KB, image/png)
2015-11-27 12:15 EST, Chad Versace
no flags Details

  None (edit)
Description Otso Rajala 2015-11-13 18:04:43 EST
Description of problem:
This is what gets installed with gnome-classic-session. Colors are wrong, with both in classic session and normal session window list button background and text being dark grey, making them illegible (and ugly). 

Version-Release number of selected component (if applicable):
gnome-classic-session.noarch 3.18.1-1.fc23
gnome-shell-extension-window-list.noarch 3.18.1-1.fc23

How reproducible:
Always.

Steps to Reproduce:
1. Install gnome-classic-session 
2. enable window list in either normal session or login to classic session

Expected results:
Should look the same as in F22 ie. good

Additional info:
I looked into css files in /usr/share/gnome-shell/extensions/window-list@gnome-shell-extensions.gcampax.github.com and the color values seem to be correct, so I suspect this may be GNOME thing.
Comment 1 rudolf 2015-11-19 19:44 EST
Created attachment 1096966 [details]
gnome classic 3.18.2

This is partially fixed in GNOME 3.18.2

But there are still isues as seen in picture. Colors are wrong, there is no hover effect on white buttons and color gradient does not work.

I tried to patch it upstream but it probably needs some more work..
https://bugzilla.gnome.org/show_bug.cgi?id=756807
Comment 2 Chad Versace 2015-11-27 12:15 EST
Created attachment 1099743 [details]
window list on gnome-shell-3.18.3-1-fc23

The window list looks correct to me on gnome-shell-3.18.3-1.fc23. Screenshot attached. The hover effect also looks correct: on mouse-over, the buttons become brighter.
Comment 3 Fedora End Of Life 2016-11-24 08:24:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:52:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Debarshi Ray 2017-04-18 05:57:23 EDT

*** This bug has been marked as a duplicate of bug 1207943 ***
Comment 6 Debarshi Ray 2017-04-18 05:58:19 EDT
Sorry, wrong tab!

Note You need to log in before you can comment on or make changes to this bug.